version 0.8.3 du 16 mai 2026
	- type 0 pour gr_pie/gr_bar qui permet de ne pas modifier les
	r‚glages de remplissage actuels.
	- manuel: les ajouts … la structure &page (concernant les
	fonctions gr_xxx) n'‚taient pas document‚s
	- gr_bar pour tracer un diagramme en barres … partir d'un tableau
	de bytes, words, int, floats
	- gr_barg idem mais avec une grille pour faciliter la lecture
	(dessus ou dessous le graphique)
	- gr_sbar/gr_sbarg idem mais pour des barres empil‚es avec les
	valeurs de plusieurs tableaux combin‚es (jusqu'… 18)
	- pour tous les gr_pie/gr_bar, le paramŠtre t (type de
	remplissage 0-4) peut ˆtre remplac‚ par le code d'un mot user
	assembl‚: c'est ce mot qui sera appel‚ pour d‚finir le remplissage
	de chaque secteur/rectangle.
	- gr_bar_hlabel/gr_bar_vlabel/gr_bar_title pour l‚gender les
	diagrammes en barres
	- gr_pie_label/gr_hpie_label pour des diagrammes circulaires avec
	l‚gende
	- newin pour redimensionner la fenetre avec un nouveau
	pourcentage (seulement sous l'interpr‚teur)

version 0.8.2 du 21 mars 2026
	- fichier ARRAYS.INC avec la d‚finition des tableaux 2D ou 3D en
	bytes, words, longs, floats
	- size? renvoie la taille fix‚e (0-3)
	- tovdi, toaes pour transformer des x,y,x',y' en x,y,w,h en tenant
	compte du mode absolute ou relative
	- setmargin (pour des marges dans getsubpage)
	- gr_pie et gr_hpie pour des diagrammes (semi-)circulaires …
	partir de donn‚es dont la taille d‚pend de size
	- vsf_color par d‚faut sur 1 (‚tait sur z‚ro au lancement du FORTH
	jusque l…).

version 0.8.1 du 19 f‚vrier 2026
	- irandom et irandomize, g‚n‚rateur rapide de nombres
	al‚atoires sur 24 bits (10x plus rapide sur MegaSTE et 31x sur TT
	que random du Xbios)
	- FORTH et COMP :
		> signale les erreurs de boucle dans les parties assembl‚es
		> la struture ->, and->, or->, ->. est maintenant assemblable.
		> signale les erreurs ->/->.
		> signale les erreurs if/else/then
		> signale les erreurs case/endcase
		> signale l'erreur exe+ en dehors d'une def
	- .s affiche (top) sur le sommet de la pile
	- modification de :does> et ::does> (peut prendre plus d'un
	paramŠtre), la partie entre :does et ;end ne prend pas encore
	en compte les nouvelles boucles, il faut s'en tenir aux op‚rations
	simples.
	- il ‚tait impossible d'utiliser forget sur un mot commen‡ant par
	& (ceux qui en cr‚ent d'autres), corrig‚.
	- HELP dolist compl‚t‚ et >comp d‚taill‚, ajout gestion source,
	gestion dictionnaire, gestion nouveaux mots, cr‚tion nouveaux
	types
	- manuel: le flag S de FORTH.INI n'avait pas ‚t‚ document‚, et
	FORTHINS.PRG permet maintenant ce r‚glage.

version 0.8.0 du 6 f‚vrier 2026
	- illegal ajoute une instruction permettant de faire un arrˆt
	sous un debugger
	- "ver" affiche aussi la taille restante pour les noms et adresses
	des nouveaux mots
	- boucles avec z‚ro r‚p‚titions ne plantent plus, elles sont
	saut‚es.
	- FORTH.INF bit 3 du masque d'alerte pour les warnings de
	compilation (1=oui, 0=ignorer)
	- FORTHINS.PRG: nouveau warning pris en compte et une erreur de
	lecture des r‚glages d'alertes corrig‚e
	- nouvelles erreurs signal‚es:
		> structures do-loop avec une instruction manquante
		> begin-again-while-until avec une instruction manquante
		> : :: ou ; manquants ou mal termin‚s
		> warning si dolist sans list
		> plus de place pour l'adresse ou le nom d'un nouveau mot
	- erreur size corrig‚e
	- HELP: ajout du module QRcode, structures de donn‚es, ensembles
	et segments, structures de tests AND/OR
	- COMP/COMPSTE affichage des flags de l'‚x‚cutable et ajout des
	nouvelles erreurs signal‚es et des modifs sur les boucles
	- taille .f pour les op‚rations de pointeur sur float, affecte
	size, -(@, +(@, etc..., cmove et uh. mais pas ub.
	- "f," pour empiler des r‚els dans le dictionnaire
	- erreur d‚pilage dans sign renomm‚ en fsign (r‚els) et ajout de
	sign pour les entiers
	- isqr renvoie une approximation rapide de la racine carr‚e d'un
	entier avec un petit d‚calage possible.
	- fsel_exinput redirig‚ sur fsel_input pour AES<1.40

version 0.7.9 du 6 d‚cembre 2025
	- erreur wind_calc si aucune fenetre n'‚tait ouverte
	- erreur rsc2for dans un indice des gem_list en fenetre
	- erreur rsc2for confusion objet/chaine dans le parsing des
	dropdown (plantage sur 68000, problŠme invisible sur 68030)
	- rsc2for simplification des init gem_list avec la nouvelle
	syntaxe dolist/lloop
	- module QRCODE.FOM, g‚n‚rateur de QR-Codes avec int‚gration d'une
	icone
	- programme QRCODE.PRG de d‚monstration.

version 0.7.8 du 24 octobre 2025
	- pterm/pterm0/ptermres redirig‚s vers system avec valeur renvoy‚e
	et taille … conserver.
	- supexec renvoie maintenant la valeur de D0 de la routine
	- size est fix‚e par d‚faut sur .l (long)
	- les modules FOM peuvent recevoir mfdbs au lieu de sndb en
	paramŠtre selon le bit4 de config
	- HELP augment‚ des modules DEBUG et DIGIDRUM, des fonctions BIOS,
	GEMDOS et XBIOS, des fonctions trace et la gestion des diff‚rentes
	bases.

version 0.7.7 du 5 octobre 2025
	- ARGC et tableau ARGV pour la gestion des arguments de la ligne
	de commande
	- DTA fix‚e sur DTA pour ‚viter de recouvrir la ligne de commande
	- COMP(STE)
		* meilleure gestion de la souris (redraws) et affichage
		abeille lors des travaux (lecture, ‚criture, compilation)
		* dans prgflags on peut sp‚cifier une taille de fenetre …
		0% pour g‚n‚rer un TOS/TTP au lieu d'un PRG
		* arret du temps de compilation pendant la saisie ">ask"
	- editeur: touche Ctrl-F ‚quivaut … F7 (find), Ctrl-G … F8
	(find next) et Ctrl-L … F6 (goto line)

version 0.7.6 du 14 aout 2025
	- affichage de l'occupation m‚moire lors du chargement d'un
	fichier *.FOR (loadb) ou *.TXT (import)
	- fonction change.ext renvoie dans pad un nom de fichier avec
	nouvelle extension.
	- loadb/import : si le fichier n'est pas trouv‚, essaye d'ajouter
	l'extension FOR (ou TXT)
	- erreur calcul taille buffer d'‚dition au d‚marrage (bug de plus
	de 20 ans...)
	- COMP(STE)
		* affiche des informations sur le fichier source, la
		librairie et le fichier PRG, le temps de compilation
		* ajoute .FOR au nom du fichier si non trouv‚
		* meilleure gestion du bouton ANNULE lors de la
		lecture ou sauvegarde
		* petite pause de 1 sec … la fin de la compilation
		* pour les fichiers inclus, affiche leur type et pour les
		modules PARX, affiche la version.
		* possibilit‚ d'un fichier LOG (flag L dans COMP.INF
		et modification de FORTHINS.PRG)
	- COMP(STE) + FORTH(STE).LIB erreur dans l'ordre des chaine
	sp‚cifiques … la langue
	- erreur boite alerte gr_getpoint en version anglaise
	- list/watch pour s‚lectionner les mots … suivre dans trace
	- trace : mode Single Step ajout‚ au petit menu (touche S)

version 0.7.5 du 30 juillet 2025
	- FORTHINS.PRG: correction de l'affichage des dialogues en
	monochrome, bouton BOMBES mal initialis‚ par d‚faut
	- ajout de donn‚es dans les extra-data envoy‚es … un module
	- version 1.03 module DEBUG: capture des erreurs de bombes

version 0.7.4 du 18 juillet 2025
	- am‚lioration trace (sortie rapide de boucle, d'un mot, point
	d'arrˆt et pas de pause pour certains mots-> constantes, codes
	internes...)
	- &f n'avait jamais ‚t‚ document‚, ajout‚ au manuel
	- modif interne dolist/lloop afin d'avoir facilement l'index de
	l'‚l‚ment en cours avec r@ (de 0 … n-1)
	- COMP/COMPSTE (V 0.7.4) : affichage de la m‚moire utilis‚e et
	adaptation modif dolist/lloop.
	- >line et line> pour lire/‚crire dans un fichier texte ligne par
	ligne (s‚parateurs CR,LF ou z‚ro)
	- FORTHINS.PRG pour faciliter la cr‚ation des fichiers FORTH.INF
	et COMP.INF (ou FORTHSTE.INF et COMPSTE.INF)
	- version 1.02 module DEBUG: menu de r‚glage

version 0.7.3 du 10 mai 2025
	- fonctions lambert et lambert1 pour FORTH (avec FPU) et pour
	FORTHSTE (avec ou sans FPU)
	- correction bug dans logarithme (sans FPU)
	- correction bug initialisation page0 dans programme AUTO
	- version 1.01 module DEBUG: fonctionne sans carte graphique avec
	un swap d'‚crans (Alt+HELP)

version 0.7.2 du 28 f‚vrier 2025
	- ajout du  bit#3 de configuration dans les modules FOM pour la
	pr‚sence d'une routine do_exit … appeler lors de modunload ou de
	la sortie du FORTH
	- >ifflag2 pour combiner deux flags (AND) … la compilation

version 0.7.1 du 03 novembre 2024
	- meilleure gestion du test ‚cran … l'initialisation (les
	programmes compil‚s n'‚taient pas en premier plan au lancement
	s'ils n'ouvraient pas une fenetre)
	- dosound ne renvoyait pas de valeur (pour lire l'‚tat en
	cours)
	- manuel: ajout de timer_calc jamais document‚

version 0.7.0 du 30 septembre 2024
	- am‚lioration rsc2for:
		* ajout de drop down li‚s … un objet d'un arbre
		* le drop down peut ˆtre un dialogue dans le rsc
		* le drop down peut ˆtre une gemlist
		* les chaines de la gemlist peuvent ˆtre initialis‚es dans
		le RSC
		* bug oubli de routines
		* meilleur gestion du redessin des boŒtes lors de boutons
		EXIT
	- ajout de resize_list pour redimensionner une gemlist
	- correction bordure des gemlist
	- variable language accessible par l'utilisateur
	- manuel: ajout de bstr qui n'avait pas ‚te document‚ depuis la
	version 0.5.5


version 0.6.9
	- help sur >fom donne accŠs … l'aide sur les modules
	- module CONFIG.FOM v1.01
		(bug dans remplacement d'une cl‚ avec CFGsetkey)
		(CGFsetkey/delkey n'utilisent plus pad)
	- module RTF.FOM V1.01
		(possibilit‚ de charger le fichier FOR ailleurs que dans
		l'‚diteur)
		V1.02 (ajout de RTFtab, module ‚tendu)
	- module FONTSEL.FOM V1.01
		(bug si nom de fonte>30 caractŠres)
		V1.02 (‚vite deux appels … vst_load_fonts)

version 0.6.9 du 27 ao–t 2024
	- ajout du xy_flag dans les extra_data de modload (flag
	absolute/relative)
	- ajout version dans extra_data (LONG exemple $00 00 06 09)
	- module FONTSEL.FOM, s‚lecteur de fonte

version 0.6.8 du 13 aout 2024
	- extension de >include pour le chargement de modules PARX avec
	les 32 octets qui doivent pr‚c‚der (FORTH & COMP)
	- module CONFIG.FOM pour g‚rer un fichier de configuration
	- Backspace dans l'‚diteur recolle deux lignes
	- bug marquage bloc lors d'une coupure de ligne avec Enter
	- meilleur gestion Shift-flŠche sur une ligne vide
	- tab s'aligne sur des blocs multiples de 3
	- Editeur: Shift+TAB permet de d‚caler/normaliser le bloc
	- son de cloche pour op‚rations impossibles sous l'‚diteur
	- modload envoie plus de paramŠtres dans le block extra_data
	- ex‚cutables anglais sans les infos de DEBUG

version 0.6.7 du 1 aout 2024
	- extension des modules FOM vers XFOM (permettent de red‚finir
	plusieurs appels … modexe avec un paramŠtre de 1 … n, on cr‚e des
	sous-fonctions)
	- module BINARY.FOM avec les fonctions binaires du 68000

version 0.6.6 du 30 juillet 2024
	- rsrc_rcfix: on peut forcer les routines internes
	- MODLOAD transmets les adresses des blocs GEM aux modules plus
	les adresses des mots Forth.
	- unpackdate, packdate ajout‚s.
	- bug corrig‚ dans val si le nombre a un prefixe (%d, %h...)
	- bug modload (initialisation module sur CPU>=040).
	- bug editeur sur affichage en gras des defs :: ... ;
	- modules FORTH cr‚‚s via le systŠme PARX M&E, adaptation de
	modinfo, modpal, modexe qui transmettent juste sndb aux modules
	FOM
	- >fom pour red‚finir les appels modules FORTH
	- modlname adapt‚ … FOM pour afficher les red‚finitions
	- premier module FORTH cr‚‚: CALENDAR.FOM qui permet de choisir
	une date sur un calendrier (multilingue)
	- COMP/STE adapt‚s aux FOM et correction d'un bug d'assemblage de
	certains mots utilisateur

version 0.6.5 du 19 juillet 2024
	- uh. et ub. sensibles au r‚glage size pour sortir un byte, word
	ou long
	- gem_input pour un prompt rapide dans une boite GEM
	- >accname pour lancer menu_register plus tot
	- bug: basepage n'‚tait pas initialis‚ pour un accessoire.

version 0.6.4 du 8 juillet 2024
	- ddate calcule la diff‚rence entre deux dates
	- dofw donne le jour de la semaine d'une date
	- date+ calcule la date obtenue avec un offset

version 0.6.3 du 4 mars 2024
	- Shift Ctrl-C pour ajouter des lignes au clipboard au lieu de
	remplacer

version 0.6.2 du 16 f‚vrier 2024
	- ajout de gem_list: cr‚ation d'un arbre/pseudo fenetre texte
	- gestion des gem_list, de la fenˆtre FORTH ou d'une fenˆtre USER
	dans rsc2for (via des free strings de configuration)
	- assign_array pour modifier l'assignation des chaŒnes gem_list
	- highw, highb, loww, lowb pour extraire des word/byte d'un long
	- modif gestion fenˆtre interne: la cr‚ation/effacement est
	s‚par‚e de ouverture/fermeture (son handle est donc toujours
	valide)
	- fasthdl renvoie le handle de la fenˆtre FORTH
	- bug corrig‚ dans help sur help en l'absence d'un ST-GUIDE.
	- effets de texte sous l'‚diteur: gras pour d‚but de d‚finition et
	clair pour lignes de commentaires
	- rsc2for ajout de commentaires sur les diff‚rentes sections
	- bug si ouverture fenˆtre … 100%
	- inversion paramŠtres gem_list pour coller … array$

version 0.6.1 du 20 janvier 2024
	- rsc2for : ajout de la structure de l'arbre en commentaire
	- rsc2for/>include : acceptent les DEF de INTERFACE (16*nombre
	d'‚l‚ments) et de ORCS (16 octets nuls en plus)
	- support partiel du ARGV= si la ligne de commande n'exŠde pas 124
	caractŠres.
	- exit ne plante plus sur la ligne de commande
	- recherche FORTH.INF avec shel_find

version 0.6.0 du 14 janvier 2024
	- instruction rsc2for cr‚ant un source complet qui gŠre le RSC
	correspondant (menu, dialogues, alertes)
	- instruction getradio qui renvoie le radio button s‚lectionn‚
	d'un groupe dans un box.
	- correction bug d'optimisation assemblage (cas avec ! par
	exemple)
	- import et export sensibles au r‚glage select+/select-
	- sous l'‚diteur Ctrl-C et Ctrl-V pour copier/coller fonctionnent
	avec le CLIPBOARD Gem si le chemin est install‚, ‚change possible
	avec des ‚diteurs (Everest, Qued, Atari Works).
	- bug dans "trace" corrig‚
	- bug ligne fant“me dans l'‚diteur corrig‚ (curseur sur la
	derniŠre ligne sans valider ne devrait pas ajouter de ligne)


version 0.5.8 du 16 octobre 2023
	- plus d'optimisation de chaine pour ‚viter la pile
	- instructions ." et " optimis‚es en assembleur (technique prise
	dans le	d‚sassemblage du TBASIC)

version 0.5.7 du 29 septembre 2023
	- help accŠde directement … un num‚ro de page (pour les liens)
	- fichier HLP qui progresse (387 mots/903)
	- sous l'‚diteur Shift F9 affiche l'aide du mot sous le curseur
	avec lien sommaire vers une autre page

version 0.5.6 du 4 septembre 2023
	- correction gestion souris lors de PageUP/DOWN sous l'‚diteur
	- ajout >ask pour mettre un flag au moment de la compilation

version 0.5.5 du 2 septembre 2023
	- ajout des modules MIDIPLAY.RSN et MIDIPVSL.RSN pour rejouer
	les fichiers MIDI et extension de modexe pour le code de
	commande -2
	- ajout de bstr (transforme une description de bytes en
	string)
	- ajout de l'analyse de la pile de retours en cas d'arrˆt
	utilisateur ou erreur pile/bombes.
	- ajout de getfile et getpath pour d‚composer un chemin
	complet

version 0.5.4 du 17 janvier 2023
	- erreur de pile dans 'sign'
	- ajout des modules RSN (read sound) au dossier PARX.SYS
	- extension RSN sur modinfo, modpal et modexe
	- adaptation du travail de Anders Eriksson / Odd Skancke  pour
	cr‚er un module SNDH.RSN qui rejoue les chiptunes SNDH compress‚s
	ou non (… partir de...)

version 0.5.3 du 20 d‚cembre 2022
	- .s remis au standard (le sommet de la pile … droite)
	- flag S dans FORTH.INI pour ignorer les routines standard (et
	conserver par exemple .s avec sommet … gauche)
	- gr3_rot pour op‚rer une rotation de la surface lors de
	l'utilisation de gr3_z(xy)l/f
	- >rad et >deg pour les conversions radions/degr‚s.
	- fichers d'aide augment‚s des fonctions r‚elles

version 0.5.2 du 03 d‚cembre 2022
	- gr3_rot renomm‚ en gr3_view
	- gr3_z(xy)l ajout‚ (surface en lignes simples), compatible
	gr3_view
	- gr3_z(xy)f ajout‚ (surface avec traits cach‚s), compatible
	gr3_view


version 0.5.1 du 17 novembre 2022
	- optimisation routines FPU pour gr_* (vitesse +14%) et gr3_*
	(vitesse +33%) dans la version TT
	- correction ordre coordonn‚es dans gr_r(t) (encore une inversion
	sin/cos)
	- sincos n'utilisait pas le FPU sur STE+68881 (oubli !)
	- acos et asin ajout‚s, atn renomm‚e en atan
	- sinh, cosh, tanh, asinh, acosh, atanh ajout‚s.
	- fonctions r‚elles r‚ordonn‚es dans le source.
	- f<, f<=, f>= et f<> ajout‚s
	- <=, >= ajout‚s
	- gr_area qui remplit une surface selon un critŠre sur x,y

version 0.5.0 du 29 octobre 2022
	- ajout des fonctions de trac‚ graphique gr_y(x), gr_xy(t),
	gr_r(t), gr_window, gr_grid, gr_axes
	- correction du compilateur (bug si FORTH.LIB contient des
	informations de d‚bugage).
	- avanc‚e dans les fichiers HELP (video et graph)
	- fonctions minimum, maximum
	- %f facultatif si le r‚el contient un point d‚cimal
	- correction affichage r‚els sur Vampire (d‚faut de pr‚cision de
	la division remplac‚e par une multiplication par l'inverse).
	- ajout des fonctions de trac‚ graphique 3D gr3_xyz(t), gr3_axes,
	gr3_window, gr3_grid, gr3_plot, gr3_rot
	- correction sincos sur le TT qui renvoyait le sinus au dessus de
	la pile (contrairement … la version STE)
	- correction solve (pile mal nettoy‚e)

version 0.4.3 du 5 aout 2022
	- ajout des NEO/PI1 dans vd_create pour fabriquer des FLM
	- ajout de ".getp" dans le fichier BAT pour NEO/PI1
	- pal2xbios transforme une palette VDI en XBIOS

version 0.4.2 du 26 juillet 2022
	- mots vd_info, vd_play, vd_set, vd_create, vd_frame pour piloter
	M_PLAYER ou MP_STE depuis le FORTH.
	- correction bug sur STE avec vd_create depuis version du 09/07
	(une erreur d'adresse pouvait apparaitre)

version 0.4.1 du 26 juin 2022
	- 'mot help -> affiche une aide en ligne (fichier FORTH.HLP)
	- 'mot guide -> idem mais en ouvrant ST-GUIDE en accessoire
	(fichier FORTH.HYP) ou en ouvrant l'appli (multitache)
	- HYPVIEW est pris de pr‚f‚rence … ST-Guide s'il est pr‚sent
	- Aides en fran‡ais et anglais.
	- fichier FORTH.INI mis … jour pour les chemin HELP/ST-GUIDE
	- correction fenˆtre FORTH incorrect dans 'desk' avec le retour
	par le menu.

version 0.4.0 du 9 juin 2022
	- jeu d'instructions pour du multitƒche (en mode interpr‚t‚)
	- instruction st@

version 0.3.4 du 29 mai 2022
	- rsrc_mono pour adapter un arbre/ressource couleur … un affichage
	monochrome.
	- d‚tection de la routine systŠme rsrc_rcfix grace … appl_getinfo,
	sinon utilisation de la routine FORTH
	- sauvegarde de 4 niveaux de la ligne de commande (Shift+Ins et
	garder Shift appuy‚ pour acc‚der aux anciennes commandes)
	- fonctions date et heure du GEMDOS (qui avaient ‚t‚ oubli‚es...)
	- fonctions de conversion chaine<>code GEMDOS pour les dates et
	heures, our les dates le format est adapt‚ selon le code langue
	- option affichage date et heure dans dir
	- >prgflags modifi‚ (on sp‚cifie aussi le % d'‚cran de fastopen
	ainsi que le code langue)
	- flag L dans FORTH.INF pour forcer le code langue
	- setsubpage/getsubpage pour partager la page FORTH
	- piles utilisateur (&stack) align‚es sur 4
	- compilateur mis … jour

version 0.3.3 du 4 mai 2022
	- savebitmap, loadbitmap
        - inclusion de fichiers *.DEF (constantes d'un fichier RSC) avec
        25 >include "..."
	- rsrc_rcfix ajout‚ mˆme sur un AES<4.00  avec transformation
	‚ventuelle des C-ICON en ICON
	- &wdial_create : annule l'‚paisseur de la bordure du cadre de
	base
	- meilleure gestion de la souris lors des scrollings (au d‚part
	l'interpr‚teur ne fonctionnait pas avec la souris)
	- bug >include … l'int‚rieur d'une d‚finition
	- bug >include en multitƒche
	- coupure des caches 68040/60 pendant l'initialisation des modules
	PARX (code automodifi‚)
	- compilateur mis … jour

version 0.3.2 du 25 avril 2022
	- traces du test ‚cran enlev‚es (en haut … gauche)
	- bug dans >include de fichier FOR, derniŠre ligne fichier mal
	interpr‚t‚e en particulier avec AUTOEXEC.FOR


version 0.3.1 du 23 avril 2022
	- Si FORTH.INF pr‚sent, l'interpr‚teur cherche … charger
	AUTOEXEC.FOR dans le dossier par d‚faut et l'ex‚cute (sauf si une
	touche Shift est appuy‚e au lancement)
	- adaptation automatique du TRM 2.52 … la carte graphique pr‚sente
	(r‚glage FORTHGFX et mode -1)
	- accepte les chaŒnes sur plusieurs lignes avec \\ pour lier.
	(dans ." et ")
	- correction bug dans min/max depuis version 0.2.0
	- limitation de la palette … 256 couleurs dans les modes >=16 bits
	pour setvdipal et savevdipal


version 0.3.0 du 20 avril 2022
	- modification loadbin avec adresse nulle pour allocation m‚moire
	(dans ce cas renvoie deux valeurs: taille lue et adresse bloc)
	- ajout fopensize renvoyant le handle et la taille d'un fichier
	- modification mfdbs et mfdbd qui deviennent juste des adresses
	- ajout fillmfdb pour remplacer l'ancienne fonctionnalit‚
	- si -1 mfdbx fillmfdbd : pour ‚cran, alors donn‚es ‚cran ajout‚es
	avec physbase comme adresse
	- ajout imagesize qui renvoit la taille en octets d'un buffer selon le mfdb
	- fonctions de gestion des modules M&E de chez PARX.
	- support des deux joysticks DB9 de l'Apollo Vampire V4+
	- ajout graphic_card qui renvoie 0 si le mode ‚cran est compatible
	Atari, 1 si c'est une carte graphique
	- parenthŠses utilisables pour la lisibilit‚ (ignor‚es … la
	compilation)

version 0.2.5 du 24 f‚vrier 2022
	- bloc mat‚rialis‚ par le slider vertical dans l'‚diteur
	- bug marques du bloc lors de modification du source
	- alerte suppl‚mentaire si le source a chang‚ sans saveb avant de
	quitter. (bit #2 des alertes)
	- on peut marquer le bloc … l'envers (d‚but plus loin que fin), le
	FORTH remet dans le bon ordre.
	- am‚lioration des routines joystick
	- support Joypad de l'Apollo Vampire V4+ (comme Joystick 1)
	- Doublage des touches Help/Undo/Shift+Ins sur F11/F12/F20 pour
	les claviers non Atari (Apollo par exemple)

version 0.2.4 du 22 f‚vrier 2022
	- touche HELP sous l'‚diteur : rappel des touches
	- touche HELP au prompt: rappel touches et fonctions de base
	- fonctions uh. et ub.
	- bug dans saveb aprŠs un Efface Bloc (Shift+F5)

version 0.2.3 du 21 f‚vrier 2022
	- inclusion, niveaux multiples, d'un fichier FOR dans un autre.
	- pour >exec/>export/>include le chemin commence par "%..." pour
	ajouter le chemin par d‚faut des fichiers FOR.
	- modification accŠs touches kbshift en mode slow

version 0.2.2 du 20 f‚vrier 2022
	- mode slow par d‚faut
	- d‚tournement des vecteurs bombes par d‚faut
	- deux alertes possibles dans saveb (‚crasement et pr‚sence d'un
	bloc)
	- flags A,B et F dans le fichier FORTH.INF.
	- dans loadb signale si le fichier indiqu‚ n'a pas ‚t‚ trouv‚
	- erreurs de bombes/pile/interruption affich‚es sous forme
	d'alertes au lieu de textes dans la fenˆtre.
	- erreur mode slow ou trace avec les fonctions du TOS
	- erreur de frappe dans un message anglais
	- erreur position curseur aprŠs F6 (dans l'‚diteur)
	- erreur souris absente dans certains alertes

version 0.2.1 du 14 f‚vrier 2022
	- instructions indirectes )@ et )! qui ne modifient pas le
	  pointeur
	- >endf (au lieu de >comp) en liaison avec >ifflag pour marquer la
	  fin du bloc
	- d‚placement de plusieurs mots sur une zone o— les codes ‚taient
	  libres, gain de place.
	- flag 13 vrai sous l'interpr‚teur et faux dans un programme
	  ind‚pendant.

version 0.2.0 du 07 f‚vrier 2022
	- optimisation de l'assemblage (:: xxx ;) pour les instructions
	  +,-,=,<,>,<>,and,or,xor pr‚c‚d‚es d'une constante
	  idem tableaux avec indice constant ou of,>of,<of,<>of
	- optimisations d'enchaŒnement lors de l'assemblage pour ‚viter la
	pile. (aprŠs un Compilb, global-2 contient le nombre
	d'optimisations de chainage et global-4 celui des constantes)
	- signale l'erreur de l'absence de >comp devant une d‚finition
	  assembl‚e :: xxx ; qui utilise des variables non d‚finies encore.
	- gestion du cache CPU>68030 lors de l'assemblage en m‚moire
	- cookies correctement initialis‚s dans la LIB
	- le s‚lecteur de fichier BOXKITE semble perturber le
	compilateur... … ‚viter donc!
	- version anglaise disponible
	- >ifflag pour compilation conditionnelle de blocs
	- initialisation des flags 14 et 15 selon la version (14=vrai si
	  68030 et faux si 68000, 15=vrai si fran‡ais et faux si anglais)

version 0.1.7 du 28 janvier 2022
	- correction des temps dans evnt_multi et evnt_timer
	- ajout de >prgflags pour fixer les flags sous le compilateur
	- si la LIB a une zone de symboles, elle est correctement g‚r‚e par
	  le compilateur d‚sormais
	- FORTH signale si un mot cr‚‚ existe d‚j… dans le vocabulaire

version 0.1.6 du 30 octobre 2021
	- support du son SAGA Vampire (setplay/play)
	- l'attente "-1 play" se fait sans superviseur pour l'AES
	- "-1 setplay" renvoie le systŠme de son DMA (0 aucun, 1 Atari, 2
	  SAGA)

version 0.1.5 du 24 septembre 2021
	- erreur dans $! (chsto), manque parfois le z‚ro final

version 0.1.4 du 16 septembre 2021
	- erreur avec screen info dans FORTH.LIB qui fait croire que
	  la fenˆtre est d‚j… ouverte.

version 0.1.2 du 27 juillet 2021
	- screen_info : renvoie l'encodage de l'‚cran

version 0.1.0 du 23 juillet 2021
	- extension supercharger
	- instructions intel-motorola
	- import: gestion du caractŠre 9 (tab)
	- wind_calc: option pour centrer (flag+2)
	- piles align‚es sur 4! (il ‚tait temps)
	- n align -> aligne "here" sur n (qui doit ˆtre une puissance de 2)
	- affichage nøversion (fenetre et menu Mint)
	- correction bug dans r@, rp! et .s

version 0.0.3 du 15 f‚v 2021
	- flags %screen et Mouseon dans le FORTH.INI

version 0.0.2 du 12 janvier 2019
	- passage de intout … 272 words pour appels EdDI

version 0.0.1 du 21 avril 2014
	- correction test_fpu et variable "_fpu"
